Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCExportMBean

public interface WTCExportMBean
extends ConfigurationMBean

This interface provides access to the WTC export configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getEJBName()` Gets the eJBName attribute of the WTCExportMBean object
`java.lang.String` | `getLocalAccessPoint()` Gets the localAccessPoint attribute of the WTCExportMBean object
`java.lang.String` | `getRemoteName()` Gets the remoteName attribute of the WTCExportMBean object
`java.lang.String` | `getResourceName()` Gets the resourceName attribute of the WTCExportMBean object
`void` | `setEJBName(java.lang.String EJBName)` Defines the complete name of the EJB home interface to use when invoking a service.
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the name of the local Tuxedo access point that exports the service.
`void` | `setRemoteName(java.lang.String RemoteName)` Defines the remote name of the service.
`void` | `setResourceName(java.lang.String ResourceName)` Defines the name used to identify an exported service.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setResourceName

    public void setResourceName(java.lang.String ResourceName)
                         throws javax.management.InvalidAttributeValueException

  Defines the name used to identify an exported service.

  This name must be unique within defined Exports. This allows you to define unique configurations having the same Remote Name.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `ResourceName` - the exported service entry
  Throws:
    javax.management.InvalidAttributeValueException -

### getResourceName

    public java.lang.String getResourceName()

  Gets the resourceName attribute of the WTCExportMBean object

  A dynamic MBean attribute
  Returns:
    The resourceName value

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the name of the local Tuxedo access point that exports the service.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

  Gets the localAccessPoint attribute of the WTCExportMBean object

  A dynamic MBean attribute
  Returns:
    The localAccessPoint value

### setEJBName

    public void setEJBName(java.lang.String EJBName)
                    throws javax.management.InvalidAttributeValueException

  Defines the complete name of the EJB home interface to use when invoking a service. If not specified, the default interface used is `tuxedo.services.servicenameHome`.

  For example: If the service being invoked is TOUPPER and EJBName attribute is not specified, the home interface looked up in JNDI would be `tuxedo.services.TOUPPERHome`.

  A dynamic MBean attribute
  Parameters:
    `EJBName` - the EJB home interface to use when invoking this service.
  Throws:
    javax.management.InvalidAttributeValueException -

### getEJBName

    public java.lang.String getEJBName()

  Gets the eJBName attribute of the WTCExportMBean object

  A dynamic MBean attribute
  Returns:
    The eJBName value

### setRemoteName

    public void setRemoteName(java.lang.String RemoteName)
                       throws javax.management.InvalidAttributeValueException

  Defines the remote name of the service. If not specified, the ResourceName attribute is used.

  A dynamic MBean attribute
  Parameters:
    `RemoteName` - the remote name for the service
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemoteName

    public java.lang.String getRemoteName()

  Gets the remoteName attribute of the WTCExportMBean object

  A dynamic MBean attribute
  Returns:
    The remoteName value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD